---
SPDXID: "SPDXRef-DOCUMENT"
spdxVersion: "SPDX-2.2"
creationInfo:
  created: "2023-04-05T16:15:08Z"
  creators:
  - "Tool: OSS Review Toolkit - cc543c9380-dirty"
  licenseListVersion: "3.19"
name: "Unnamed document"
dataLicense: "CC0-1.0"
documentNamespace: "spdx://a0c1f37d-171d-404f-bae9-dd1f8e184ecd"
documentDescribes:
- "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
packages:
- SPDXID: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  copyrightText: "Copyright (c) 2018 Ericsson and others\nCopyright (c) 2021-2022\
    \ Kichwa Coders Canada Inc. and others"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0"
  name: "cdt-amalgamator"
  summary: "NONE"
  versionInfo: "0.0.9"
- SPDXID: "SPDXRef-Package-NPM-vscode-debugadapter-1.59.0"
  copyrightText: "Copyright (c) Microsoft Corporation"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40vscode/debugadapter@1.59.0"
  filesAnalyzed: false
  homepage: "https://github.com/microsoft/vscode-debugadapter-node#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "MIT"
  name: "debugadapter"
  summary: "Debug adapter implementation for node"
  versionInfo: "1.59.0"
- SPDXID: "SPDXRef-Package-NPM-vscode-debugadapter-1.59.0-vcs"
  copyrightText: "Copyright (c) Microsoft Corporation"
  downloadLocation: "git+https://github.com/microsoft/vscode-debugadapter-node.git@0152abf8a4efa5044888acc1f0e9d542b92a018c"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40vscode/debugadapter@1.59.0"
  filesAnalyzed: false
  homepage: "https://github.com/microsoft/vscode-debugadapter-node#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "debugadapter"
  summary: "Debug adapter implementation for node"
  versionInfo: "1.59.0"
- SPDXID: "SPDXRef-Package-NPM-vscode-debugadapter-1.59.0-source-artifact"
  copyrightText: "Copyright (c) Microsoft Corporation"
  downloadLocation: "https://registry.npmjs.org/@vscode/debugadapter/-/debugadapter-1.59.0.tgz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40vscode/debugadapter@1.59.0"
  filesAnalyzed: false
  homepage: "https://github.com/microsoft/vscode-debugadapter-node#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "debugadapter"
  summary: "Debug adapter implementation for node"
  versionInfo: "1.59.0"
- SPDXID: "SPDXRef-Package-NPM-vscode-debugadapter-testsupport-1.59.0"
  copyrightText: "Copyright (c) Microsoft Corporation"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40vscode/debugadapter-testsupport@1.59.0"
  filesAnalyzed: false
  homepage: "https://github.com/microsoft/vscode-debugadapter-node#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "MIT"
  name: "debugadapter-testsupport"
  summary: "Npm module with mocha test support for Visual Studio Code debug adapters"
  versionInfo: "1.59.0"
- SPDXID: "SPDXRef-Package-NPM-vscode-debugadapter-testsupport-1.59.0-vcs"
  copyrightText: "Copyright (c) Microsoft Corporation"
  downloadLocation: "git+https://github.com/microsoft/vscode-debugadapter-node.git@0152abf8a4efa5044888acc1f0e9d542b92a018c"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40vscode/debugadapter-testsupport@1.59.0"
  filesAnalyzed: false
  homepage: "https://github.com/microsoft/vscode-debugadapter-node#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "debugadapter-testsupport"
  summary: "Npm module with mocha test support for Visual Studio Code debug adapters"
  versionInfo: "1.59.0"
- SPDXID: "SPDXRef-Package-NPM-vscode-debugadapter-testsupport-1.59.0-source-artifact"
  copyrightText: "Copyright (c) Microsoft Corporation"
  downloadLocation: "https://registry.npmjs.org/@vscode/debugadapter-testsupport/-/debugadapter-testsupport-1.59.0.tgz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40vscode/debugadapter-testsupport@1.59.0"
  filesAnalyzed: false
  homepage: "https://github.com/microsoft/vscode-debugadapter-node#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "debugadapter-testsupport"
  summary: "Npm module with mocha test support for Visual Studio Code debug adapters"
  versionInfo: "1.59.0"
- SPDXID: "SPDXRef-Package-NPM-vscode-debugprotocol-1.59.0"
  copyrightText: "Copyright (c) Microsoft Corporation"
  downloadLocation: "NONE"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40vscode/debugprotocol@1.59.0"
  filesAnalyzed: false
  homepage: "https://github.com/microsoft/vscode-debugadapter-node#readme"
  licenseConcluded: "MIT"
  licenseDeclared: "MIT"
  name: "debugprotocol"
  summary: "Npm module with declarations for the Visual Studio Code debug protocol"
  versionInfo: "1.59.0"
- SPDXID: "SPDXRef-Package-NPM-vscode-debugprotocol-1.59.0-vcs"
  copyrightText: "Copyright (c) Microsoft Corporation"
  downloadLocation: "git+https://github.com/microsoft/vscode-debugadapter-node.git@0152abf8a4efa5044888acc1f0e9d542b92a018c"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40vscode/debugprotocol@1.59.0"
  filesAnalyzed: false
  homepage: "https://github.com/microsoft/vscode-debugadapter-node#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "debugprotocol"
  summary: "Npm module with declarations for the Visual Studio Code debug protocol"
  versionInfo: "1.59.0"
- SPDXID: "SPDXRef-Package-NPM-vscode-debugprotocol-1.59.0-source-artifact"
  copyrightText: "Copyright (c) Microsoft Corporation"
  downloadLocation: "https://registry.npmjs.org/@vscode/debugprotocol/-/debugprotocol-1.59.0.tgz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:npm/%40vscode/debugprotocol@1.59.0"
  filesAnalyzed: false
  homepage: "https://github.com/microsoft/vscode-debugadapter-node#readme"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "debugprotocol"
  summary: "Npm module with declarations for the Visual Studio Code debug protocol"
  versionInfo: "1.59.0"
relationships:
- spdxElementId: "SPDXRef-Package-NPM-vscode-debugadapter-1.59.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-debugprotocol-1.59.0"
- spdxElementId: "SPDXRef-Package-NPM-vscode-debugadapter-1.59.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-debugadapter-1.59.0-vcs"
- spdxElementId: "SPDXRef-Package-NPM-vscode-debugadapter-1.59.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-debugadapter-1.59.0-source-artifact"
- spdxElementId: "SPDXRef-Package-NPM-vscode-debugadapter-testsupport-1.59.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-debugprotocol-1.59.0"
- spdxElementId: "SPDXRef-Package-NPM-vscode-debugadapter-testsupport-1.59.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-debugadapter-testsupport-1.59.0-vcs"
- spdxElementId: "SPDXRef-Package-NPM-vscode-debugadapter-testsupport-1.59.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-debugadapter-testsupport-1.59.0-source-artifact"
- spdxElementId: "SPDXRef-Package-NPM-vscode-debugprotocol-1.59.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-debugprotocol-1.59.0-vcs"
- spdxElementId: "SPDXRef-Package-NPM-vscode-debugprotocol-1.59.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-debugprotocol-1.59.0-source-artifact"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-debugadapter-testsupport-1.59.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-debugadapter-1.59.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-debugprotocol-1.59.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-cdt-gdb-adapter-0.0.15"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-chai-4.3.7"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-cross-env-7.0.3"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-deep-equal-in-any-order-1.1.15"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-esbuild-0.14.14"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-eslint-config-prettier-8.6.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-eslint-8.35.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-events-3.3.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-mocha-jenkins-reporter-0.4.8"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-mocha-9.2.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-prettier-2.8.4"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-ts-node-10.9.1"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-typescript-4.9.5"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-types-chai-4.3.4"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-types-deep-equal-in-any-order-1.0.1"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-types-glob-7.2.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-types-mocha-9.1.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-types-node-14.18.37"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-types-vscode-1.76.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-typescript-eslint-eslint-plugin-5.54.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-typescript-eslint-parser-5.54.0"
- spdxElementId: "SPDXRef-Project-Yarn-cdt-amalgamator-0.0.9"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-NPM-vscode-vsce-2.18.0"
